﻿Type=Class
Version=2.9
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Class module
'File: HelpView.bas
'Purpose: Show the content of a htmlfile, located in the dirapp folder in a webview
Private Sub Class_Globals
	Private fx As JFX
	Private frm As Form
	Private wvwHelp As WebView
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(w As Double, h As Double)
	'Init the form with eventname frm, width 300 and height 200
	frm.Initialize("frm", w, h)
	'Load the layout
	frm.RootPane.LoadLayout("HelpView")
	'Set the form style as utility and non resizable. Close the form by using [X] at top right
	frm.Resizable = False
	frm.SetFormStyle("UTILITY")
End Sub

'Show the content of the helpfile located in the dirapp folder
'Parameter: Title of the helpwindow, helpfile located in the dirapp folder, anchor to jump to optional)
Public Sub Show(title As String, helpfile As String, anchor As String)
	frm.Title = title
	frm.Show
	Try
		If anchor.Length = 0 Then
			wvwHelp.LoadUrl("file:///" & File.Combine(File.DirApp, helpfile))
		Else
			wvwHelp.LoadUrl("file:///" & File.Combine(File.DirApp, helpfile) & "#" & anchor)		
		End If
	Catch
		wvwHelp.LoadHtml("<H2>Error</H2><P>Can not read the Help file:</P><P>" & CRLF & LastException.Message & "</P>")
	End Try
End Sub


